package com.diagbot.web;


import com.diagbot.dto.RespDTO;
import com.diagbot.entity.SysUser;
import com.diagbot.facade.UserFacade;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Description: 日志操作控制层
 * @author: zhoutg
 * @time: 2018/8/30 10:12
 */
@RestController
@RequestMapping("/user")
@Api(value = "用户API", tags = { "用户API" })
@SuppressWarnings("unchecked")
public class UserController {

    @Autowired
    private UserFacade userFacade;

    /**
     * 获取用户列表
     *
     * @return 日志列信息
     */
    @ApiOperation(value = "获取用户列表", notes = "获取用户列表")
    @PostMapping("/list")
    public RespDTO<List<SysUser>> getlist() {
        return RespDTO.onSuc(userFacade.getlist());
    }
}

